# Uses of Class
com.usatiuk.dhfs.repository.OpP

Packages that use OpP
Package
Description
com.usatiuk.dhfs
com.usatiuk.dhfs.repository

## Uses of OpP in com.usatiuk.dhfs

Methods in com.usatiuk.dhfs that return OpP
Modifier and Type
Method
Description
`OpP`
TemporaryOpSerializer.`serialize(Op object)`
Methods in com.usatiuk.dhfs with parameters of type OpP
Modifier and Type
Method
Description
`Op`
TemporaryOpSerializer.`deserialize(OpP message)`

## Uses of OpP in com.usatiuk.dhfs.repository

Methods in com.usatiuk.dhfs.repository that return OpP
Modifier and Type
Method
Description
`OpP`
OpP.Builder.`build()`
`OpP`
OpP.Builder.`buildPartial()`
`static OpP`
OpP.`getDefaultInstance()`
`OpP`
OpP.Builder.`getDefaultInstanceForType()`
`OpP`
OpP.`getDefaultInstanceForType()`
`OpP`
OpPushRequest.Builder.`getMsg(int index)`
`repeated .dhfs.sync.OpP msg = 2;`
`OpP`
OpPushRequest.`getMsg(int index)`
`repeated .dhfs.sync.OpP msg = 2;`
`OpP`
OpPushRequestOrBuilder.`getMsg(int index)`
`repeated .dhfs.sync.OpP msg = 2;`
`static OpP`
OpP.`parseDelimitedFrom(InputStream input)`
`static OpP`
OpP.`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static OpP`
OpP.`parseFrom(byte[] data)`
`static OpP`
OpP.`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static OpP`
OpP.`parseFrom(com.google.protobuf.ByteString data)`
`static OpP`
OpP.`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static OpP`
OpP.`parseFrom(com.google.protobuf.CodedInputStream input)`
`static OpP`
OpP.`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static OpP`
OpP.`parseFrom(InputStream input)`
`static OpP`
OpP.`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static OpP`
OpP.`parseFrom(ByteBuffer data)`
`static OpP`
OpP.`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
Methods in com.usatiuk.dhfs.repository that return types with arguments of type OpP
Modifier and Type
Method
Description
`List<OpP>`
OpPushRequest.Builder.`getMsgList()`
`repeated .dhfs.sync.OpP msg = 2;`
`List<OpP>`
OpPushRequest.`getMsgList()`
`repeated .dhfs.sync.OpP msg = 2;`
`List<OpP>`
OpPushRequestOrBuilder.`getMsgList()`
`repeated .dhfs.sync.OpP msg = 2;`
`com.google.protobuf.Parser<OpP>`
OpP.`getParserForType()`
`static com.google.protobuf.Parser<OpP>`
OpP.`parser()`
Methods in com.usatiuk.dhfs.repository with parameters of type OpP
Modifier and Type
Method
Description
`OpPushRequest.Builder`
OpPushRequest.Builder.`addMsg(int index, OpP value)`
`repeated .dhfs.sync.OpP msg = 2;`
`OpPushRequest.Builder`
OpPushRequest.Builder.`addMsg(OpP value)`
`repeated .dhfs.sync.OpP msg = 2;`
`OpP.Builder`
OpP.Builder.`mergeFrom(OpP other)`
`static OpP.Builder`
OpP.`newBuilder(OpP prototype)`
`OpPushRequest.Builder`
OpPushRequest.Builder.`setMsg(int index, OpP value)`
`repeated .dhfs.sync.OpP msg = 2;`
Method parameters in com.usatiuk.dhfs.repository with type arguments of type OpP
Modifier and Type
Method
Description
`OpPushRequest.Builder`
OpPushRequest.Builder.`addAllMsg(Iterable<? extends OpP> values)`
`repeated .dhfs.sync.OpP msg = 2;`